curl --request POST \
--url https://api.avidoai.com/v0/quickstarts/approve-style-guide \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"quickstartId": "123e4567-e89b-12d3-a456-426614174000"
}
'{
"data": {
"quickstartId": "123e4567-e89b-12d3-a456-426614174000",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"styleGuideId": "789e4567-e89b-12d3-a456-426614174000"
}
}Finalizes the quickstart style guide, creates a style guide record, and moves the quickstart to reviewing style status.
curl --request POST \
--url https://api.avidoai.com/v0/quickstarts/approve-style-guide \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"quickstartId": "123e4567-e89b-12d3-a456-426614174000"
}
'{
"data": {
"quickstartId": "123e4567-e89b-12d3-a456-426614174000",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"styleGuideId": "789e4567-e89b-12d3-a456-426614174000"
}
}Your unique Avido API key
Your unique Avido Application ID
Request body for approving a quickstart style guide
The ID of the quickstart to approve
"123e4567-e89b-12d3-a456-426614174000"
Successfully approved style guide
Response schema for approving a quickstart style guide and creating a style guide record
Show child attributes